package cn.estsh.i3plus.pojo.mes.model.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * 全工序报废率-查询条件-model
 * @author yumingxing
 * @version 1.0
 * @date 2020/12/21 10:10
 **/
@Data
@ApiModel("全工序报废率-查询条件")
public class ProcessScrapRateQueryModel {

    @ApiParam("工序")
    private List<String> processCodeList;

    @ApiParam("项目号")
    private List<String> prodCfgTypeCodeList;

    /**
     * 零件号取物料号
     */
    @ApiParam("零件号")
    private List<String> partNoList;

    @ApiParam("开始日期")
    private String modifyStartDate;

    @ApiParam("结束日期")
    private String modifyEndDate;

    @ApiParam("账号")
    private String userLoginName;

    @ApiParam("姓名")
    private String userName;

}
